Bug 358536 - Calendar Widget arrows are not displayed (missing character)
Summary: Calendar Widget arrows are not displayed (missing character)
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Plasma
Component: Calendar (show other bugs)
Version: master
Platform: Archlinux Linux
: NOR normal
Target Milestone: 1.0
Assignee: Martin Klapetek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-01-25 14:22 UTC by rockonthemoonfm
Modified: 2016-02-07 23:10 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
screenshot (166.82 KB, image/png)
2016-01-25 14:24 UTC, rockonthemoonfm
Details

Note You need to log in before you can comment on or make changes to this bug.
Description rockonthemoonfm 2016-01-25 14:22:03 UTC
Calendar Widget arrows are not displayed: a block is shown instead.
It cripple the usage of the widget.
Default font is Noto and changing font doesn't solve the problem.




Reproducible: Always
Comment 1 rockonthemoonfm 2016-01-25 14:24:35 UTC
Created attachment 96831 [details]
screenshot
Comment 2 Martin Klapetek 2016-01-29 17:34:15 UTC
Thanks for the report

Do you perhaps see similar issues with other characters around Plasma?

The panel clock, perhaps?
Comment 3 rockonthemoonfm 2016-01-31 18:13:40 UTC
actually not
Comment 4 Kai Uwe Broulik 2016-02-07 23:10:33 UTC
Git commit 4ebf130ee66a912a5dac360441a8c0060eab247e by Kai Uwe Broulik.
Committed on 07/02/2016 at 23:07.
Pushed by broulik into branch 'master'.

[Calendar] Add proper back/forward buttons and a "Today" button

This removes the custom label-based triangles and replaces them with proper ToolButtons
using proper icons. It also adds a "Today" button to return to the current day.
The tooltips on the buttons reflect the actual action ("Previous Month", "Previous Year",
"Previous Decade", depending on the zoom level).

Furthermore, the day names and week numbers now use the regular font size but they're still
visually disconnected. The day names row is hidden in the zoom levels now.

REVIEW: 126960
Related: bug 336124, bug 348362

M  +5    -1    src/declarativeimports/calendar/qml/DayDelegate.qml
M  +69   -80   src/declarativeimports/calendar/qml/DaysCalendar.qml
M  +10   -1    src/declarativeimports/calendar/qml/MonthView.qml

http://commits.kde.org/plasma-framework/4ebf130ee66a912a5dac360441a8c0060eab247e